%bcond_with python_bootstrap

%global srcname pytest-shutil

Summary:       A goodie-bag of unix shell and environment tools for py.test
Name:          python-%{srcname}
Version:       1.7.0
Release:       7%{?dist}
License:       MIT
URL:           https://pypi.python.org/pypi/%{srcname}
Source0:       https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

Patch3000:     https://github.com/manahl/pytest-plugins/pull/144.patch
Patch3001:     https://github.com/manahl/pytest-plugins/pull/217.patch

BuildRequires: python3-devel python3-setuptools python3-pytest python3-six
BuildRequires: python3-mock python3-path python3-execnet python3-termcolor

BuildArch:     noarch

%description
This library is a goodie-bag of Unix shell and environment management tools for automated tests.

%package -n python3-%{srcname}
Summary:        A goodie-bag of unix shell and environment tools for py.test
Recommends:     %{py3_dist termcolor}

%description -n python3-%{srcname}
This library is a goodie-bag of Unix shell and environment management tools for automated tests.

%prep
%autosetup -n %{srcname}-%{version} -p2

sed -i "/'termcolor'/d" setup.py
sed -i -e '/setuptools-git/d' common_setup.py
sed -i -e 's|path.py|path|' setup.py

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH="%{buildroot}%{python3_sitelib}:%{?with_python_bootstrap:$PYTHONPATH}" %{__python3} -m pytest


%files -n python3-%{srcname}
%doc README.md CHANGES.md
%{python3_sitelib}/*

%changelog
* Thu Sep 21 2023 Miaojun Dong <zoedong@tencent.com> - 1.7.0-7
- Rebuild for python-termcolor-2.3.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-6
- Rebuilt for python 3.11

* Tue Sep 12 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.7.0-5
- Add python_bootstrap for upgrading python

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 10 2023 Shuo Wang <abushwang@tencent.com> - 1.7.0-1
- initial build
